<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Mimes provisioning tool (serial)</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Lato:wght@400;700&family=Raleway:wght@400;500;600;700&display=swap"
        rel="stylesheet">
    <link rel="stylesheet" href="css/bootstrap.css">
    <link rel="stylesheet" href="css/main.css">
    <link href="images/favicon.png" rel="shortcut icon" type="image/x-icon" />
</head>

<body>
<div class="background-vector"></div>
<nav class="navigation">
    <div class="logo">
        <a href="#" class="logo">
            <img src="images/mimes_logo.svg" alt="logo">
        </a>
    </div>
</nav>

<section class="connection">
    <div class="container">
        <div class="connection-wrapper">
            <div class="connection-item">
                <h2 class="connection-title">
                    Connection
                </h2>
                <button id="openclose_port" class="connection-btn">Select</button>
            </div>
        </div>
        <div class="connection-item">
            <h2 class="connection-title">
                PROFIsafe <span class="title--small">setup</span>
            </h2>
            <fieldset id="profisafe">
                <div class="profisafe-input__wrap">
                    <div class="profisafe_input padded">
                        <label for="profisafe.host_address" class="connection-label">Source</label>
                        <input type="number" class="connection-input" id="profisafe.host_address" min="1"
                            max="65534">
                    </div>
                    <div class="profisafe_input padded">
                        <label for="profisafe.device_address" class="connection-label">Destination</label>
                        <input type="number" class="connection-input" id="profisafe.device_address" min="1"
                            max="65534">
                    </div>
                    <div class="profisafe_input padded">
                        <label for="profisafe.watchdog" class="connection-label">Watchdog</label>
                        <input type="number" class="connection-input" id="profisafe.watchdog" min="1" max="65535">
                    </div>
                    <div class="profisafe_input">
                        <label for="profisafe.fpar_crc" class="connection-label">F-Par CRC</label>
                        <input type="number" class="connection-input" id="profisafe.fpar_crc" readonly disabled>
                    </div>
                </div>
                <button id="profisafe.provision" 
                    onclick="profisafe_provision(
                        document.getElementById('profisafe.host_address').valueAsNumber,
                        document.getElementById('profisafe.device_address').valueAsNumber,
                        document.getElementById('profisafe.watchdog').valueAsNumber)" disabled=""
                    class="profisafe-btn">
                    Provision
                </button>
            </fieldset>

            <div class="connection-item isa">
                <h2 class="connection-title">
                    ISA100
                    <span class="title--small">
                        setup
                    </span>
                </h2>
                <fieldset id="isa100">
                    <div class="isa-wrapper__grid">
                        <div class="isa-wrapper">
                            <label for="isa100.name" class="connection-label">Device name</label>
                            <input type="text" class="connection-input" id="isa100.name" minlength="1"
                                maxlength="16" value="RadioHub IO">
                        </div>
                        <div class="isa-wrapper">
                            <label for="isa100.MAC" class="connection-label">Security manager MAC in hex</label>
                            <input type="text" class="connection-input" id="isa100.MAC" minlength="16"
                                maxlength="16" value="000000000a1000a0">
                        </div>

                        <div class="isa-wrapper">
                            <label for="isa100.joinkey" class="connection-label">Join key in hex</label>
                            <input type="text" class="connection-input" id="isa100.joinkey" minlength="32"
                                maxlength="32" value="c0c1c2c3c4c5c6c7c8c9cacbcccdcecf">
                        </div>

                        <div class="isa-wrapper">
                            <label for="isa100.utc_offset" class="connection-label">UTC adjustment in hex</label>
                            <input type="text" class="connection-input" id="isa100.utc_offset" minlength="4"
                                maxlength="4" value="0022">
                        </div>

                        <div class="isa-wrapper">
                            <label for="isa100.role" class="connection-label">Device role in hex</label>
                            <input type="text" class="connection-input" id="isa100.role" minlength="4" maxlength="4"
                                value="0003">
                        </div>

                        <div class="isa-wrapper">
                            <label for="isa100.bitmask" class="connection-label">Network bitmask in hex</label>
                            <input type="text" class="connection-input" id="isa100.bitmask" minlength="4"
                                maxlength="4" value="ffff">
                        </div>

                        <div class="isa-wrapper">
                            <label for="isa100.id" class="connection-label">Network id in hex</label>
                            <input type="text" class="connection-input" id="isa100.id" minlength="4" maxlength="4"
                                value="0005">
                        </div>
                    </div>

                    <button id="isa100.provision"
                        onclick="isa100_provision(document.getElementById('isa100').elements)" disabled=""
                        class="profisafe-btn">
                        Provision
                    </button>
                </fieldset>
            </div>

            <div>
                <label for="term_window"></label>
                <textarea id="term_window" rows="15" cols="70" class="connection-textarea" readonly></textarea>
            </div>
        </div>
    </div>
</section>

<script type="text/javascript" src="js/radiohub-provision-serial.js"></script>
</body>

</html>